/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.ambari.logsearch.model.response;

import com.fasterxml.jackson.annotation.JsonIgnore;

public class PropertyDescriptionData {
  private final String name;

  private final String description;

  private final String[] examples;

  private final String defaultValue;

  @JsonIgnore
  private final String source;

  public PropertyDescriptionData(String name, String description, String[] examples, String defaultValue, String source) {
    this.name = name;
    this.description = description;
    this.examples = examples;
    this.defaultValue = defaultValue;
    this.source = source;
  }

  public String getName() {
    return name;
  }

  public String getDescription() {
    return description;
  }

  public String[] getExamples() {
    return examples;
  }

  public String getDefaultValue() {
    return defaultValue;
  }

  public String getSource() {
    return source;
  }
}
