/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

export type LogsType = 'auditLogs' | 'serviceLogs';

export type TimeRangeType = 'CURRENT' | 'LAST' | 'PAST';

export type SortingType = 'asc' | 'desc';

export type ScrollType = 'before' | 'after' | '';

export type LogLevel = 'FATAL' | 'ERROR' | 'WARN' | 'INFO' | 'DEBUG' | 'TRACE' | 'UNKNOWN';

export type DataAvailability = 'NOT_AVAILABLE' | 'LOADING' | 'AVAILABLE' | 'ERROR';
export enum DataAvailabilityValues {
  NOT_AVAILABLE = 'NOT_AVAILABLE',
  LOADING = 'LOADING',
  AVAILABLE = 'AVAILABLE',
  ERROR = 'ERROR'
}
