/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

var App = require('app');
require('views/common/widget/template_widget_view');

describe('App.TemplateWidgetView', function () {

  var view;

  beforeEach(function () {
    view = App.TemplateWidgetView.create();
  });

  describe("#displayValue", function () {

    it("empty value", function() {
      view.set('value', '');
      view.propertyDidChange('displayValue');
      expect(view.get('displayValue')).to.be.equal(Em.I18n.t('common.na'));
    });

    it("value not empty", function() {
      view.set('value', 'val');
      view.propertyDidChange('displayValue');
      expect(view.get('displayValue')).to.be.equal('val');
    });
  });
});